# studio::StateGradient Class Reference

`#include <state_gradient.h>`

List of all members.

## Public Member Functions

| StateGradient ()
| ~StateGradient ()

## Constructor & Destructor Documentation

StateGradient::StateGradient | ( |  | ) |

References studio::EVENT_LAYER_SELECTION_CHANGED, studio::EVENT_REFRESH, studio::EVENT_REFRESH_DUCKS, studio::EVENT_REFRESH_TOOL_OPTIONS, studio::EVENT_STOP, studio::EVENT_TABLES_SHOW, studio::EVENT_WORKAREA_MOUSE_BUTTON_DOWN, studio::EVENT_WORKAREA_MOUSE_BUTTON_DRAG, and studio::EVENT_WORKAREA_MOUSE_BUTTON_UP.

StateGradient::~StateGradient | ( |  | ) |

The documentation for this class was generated from the following files:

- state_gradient.h
- state_gradient.cpp